%define module_name	kqemu
%define module_version	0.6.2
%define module_release	alt0.M24.2

%define kversion	2.4.26
%define krelease	alt13
%define flavour	std-up

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')


%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary:	%module_name modules
Name:	kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release
License:	GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
URL: http://fabrice.bellard.free.fr/qemu/
BuildPreReq: kernel-build-tools >= 0.7
BuildRequires:	modutils
#BuildRequires:	perl
BuildRequires:	rpm >= 4.0.2-75
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq: coreutils
Prereq: modutils
Prereq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

%description
The QEMU Accelerator Module increases the speed of QEMU
when a PC is emulated on a PC. It runs most of the target application code
directly on the host processor to achieve near native performance.
It is very useful when you want to run another Operating System
(for example Windows) on a Linux desktop.

%prep

%__rm -rf kernel-source-%module_name-%module_version

%__tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%__subst 's,-include ../config-host.mak,,' Makefile

%build

. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build KERNEL_PATH=%_usrsrc/linux-%kversion-%flavour

%install
%__mkdir_p %buildroot%module_dir
%__install -m644 %module_name.o %buildroot%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Mon Nov 21 2005 Alexey Borovskoy <alb@altlinux.ru> 0.6.2-alt0.M24.2
- Rebuild for kernel 2.4.26-alt13.

* Tue Jun 21 2005 Alexey Borovskoy <alb@altlinux.ru> 0.6.2-alt0.M24.1
- First build

